<%@page contentType="text/html" language="java"%>
<!-- Here I include the two required tag libs. -->
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>


<!-- ******************************************************************** -->
<!--                       reportingmodule/SaveQuery.jsp                 -->
<!-- ******************************************************************** -->



<!-- useViewBean -->
<jato:useViewBean className="com.sun.grid.reporting.reportingmodule.SaveQueryViewBean">
<cc:i18nbundle
  baseName="com.sun.grid.reporting.resources.Resources"
  id="ReportingBundle" />
<cc:header name="header"
           pageTitle="Reporting.title" 
           copyrightYear="2003"
           baseName="com.sun.grid.reporting.resources.Resources"
           bundleID="ReportingBundle">
<jato:form  name="ResultListForm" method="post" defaultCommandChild="submit">
 
<cc:primarymasthead name="masthead" 
                    bundleID="ReportingBundle"/> <!-- @todo -->

      


   

    <!-- navigation to the QueryList -->
    
<!-- =============================================================== -->
      <!--  M E S S A G E                                                  -->
      <!-- =============================================================== -->
      <div>
      <cc:alertinline name="alert"  bundleID="ReportingBundle"/>
      </div>
      


<!-- ######################################################################## -->
<!--                          NAVIGATION                                      -->
<!-- ######################################################################## -->
<!-- "#e0 e0 e0 e0 e0 e0" -->
   <center> 
      
      <table width="80%" border="0"spacing="0" bgcolor="#e0e0e0">
            <thead  valign="top">
                <tr valign="top">
                   <th><cc:text name="status"  escape="false"/></th>
                </tr>
            </thead>
    </table>
    </center>

    <br />
    <center>
       <cc:text name="message"/>
    </center>
  
   
    <!-- ############################################################# -->   
    <!-- we always have selectable data ??? -->
    <jato:content name="hasSelectableData">
    <center>
    <table width="70%" border="0"spacing="0">
        <tr>
            <td>
            <table width="70%" border="0"spacing="0" class="Tbl">
                <thead  valign="top">
                    <tr>
                        <th class="TblColHdrSrt">View</th>
                        <th class="TblColHdrSrt">Value</th>
                        <th class="TblColHdrSrt">&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                <jato:tiledView name="names"> 
                <tr> 
                   <td><jato:text name="name1"/></td>
                   <td><jato:text name="name2"/></td>
                   <td><jato:text name="name3"/></td>
                <!--   <td>&nbsp;</td> -->
                </tr>
                </jato:tiledView> 
<!-- ##################### -->
                <tr>
                   <td>Query Name</td>
                   <td><cc:textfield name="queryname" dynamic="true"/></td>
                   <td>&nbsp;</td>
                 </tr>
                 <tr>
                   <td>Category</td>
                   <td><cc:textfield name="category" dynamic="true"/></td>
                   <td>&nbsp;</td>
                 </tr>
                 <tr>
                    <td>Query Image URL</td>
                    <td><cc:textfield name="queryimageurlname" dynamic="true"/></td>
                    <td><jato:text name="queryimageurlsrc" 
                                   formatType="string" 
                                   escape="false"/><!--<img src='acro_files/pepper.gif'> --></td>
                 </tr>
                 <tr>
                    <td>Query Description</td>
                    <td colspan="2"><cc:textarea name="querydescription" 
                                     dynamic="true"
                                     rows="15"
                                     cols="113"/></td>
                    <!-- <td>&nbsp;</td>  -->
                 </tr>
                 <tr>
                    <td>Query Resulting statement</td>
                    <td>
                        <jato:text name="queryresultingstatement"/>                           
                     </td>
                    <td>&nbsp;</td>
                 </tr>
                </tbody>
            </table>
            </td>  
        </tr>
    </table>
    </center>
    </jato:content>
  

    <br />
    <center>
       <cc:button name="ok"   defaultValue="OK"/>&nbsp; 
       <cc:button name="abort" defaultValue="Cancel"/>
    </center>
   
    
<!-- ############################################################### -->
   
    


    
<!-- ############################################################ -->

    
</jato:form>
</cc:header>
<!-- Be sure to close the jato:useViewBean tag -->
</jato:useViewBean>
